%{?mingw_package_header}

Name:           mingw-p11-kit
Version:        0.25.5
Release:        %mkrel 1
Summary:        MinGW Library for loading and sharing PKCS#11 modules

License:        BSD
Group:          Development/Other
URL:            https://p11-glue.freedesktop.org/p11-kit.html
Source0:        https://github.com/p11-glue/p11-kit/releases/download/%{version}/p11-kit-%{version}.tar.xz

# Upstream patch:
Patch0:         p11-kit-0.25.6-thread-local-var.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-libffi
BuildRequires:  mingw32-libtasn1

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-libffi
BuildRequires:  mingw64-libtasn1

BuildRequires:  meson
BuildRequires:  libtasn1-tools

# For native /usr/bin/msgfmt etc.
BuildRequires:  gettext-devel
# For native GTK HTML documentation
BuildRequires:  gtk-doc


%description
p11-kit provides a way to load and enumerate PKCS#11 modules, as well as
a standard configuration setup for installing PKCS#11 modules in such a
way that they're discoverable.  This library is cross-compiled for MinGW.


%package -n mingw32-p11-kit
Summary:        MinGW Library for loading and sharing PKCS#11 modules
Requires:       pkgconfig

%description -n mingw32-p11-kit
p11-kit provides a way to load and enumerate PKCS#11 modules, as well as
a standard configuration setup for installing PKCS#11 modules in such a
way that they're discoverable.  This library is cross-compiled for MinGW.

%package -n mingw64-p11-kit
Summary:        MinGW Library for loading and sharing PKCS#11 modules
Requires:       pkgconfig

%description -n mingw64-p11-kit
p11-kit provides a way to load and enumerate PKCS#11 modules, as well as
a standard configuration setup for installing PKCS#11 modules in such a
way that they're discoverable.  This library is cross-compiled for MinGW.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n p11-kit-%{version}


%build
%mingw_meson
%mingw_ninja


%install
%mingw_ninja_install
rm -f %{buildroot}%{mingw32_datadir}/info/dir
rm -f %{buildroot}%{mingw64_datadir}/info/dir

# Remove gtk-doc pages which duplicate stuff in Fedora already.
rm -rf %{buildroot}%{mingw32_datadir}/gtk-doc
rm -rf %{buildroot}%{mingw64_datadir}/gtk-doc

%mingw_find_lang p11-kit

%files -n mingw32-p11-kit -f mingw32-p11-kit.lang
%license COPYING
%{mingw32_bindir}/libp11-kit-0.dll
%{mingw32_bindir}/p11-kit.exe
%{mingw32_bindir}/trust.exe
%{mingw32_libdir}/libp11-kit.dll.a
%{mingw32_libexecdir}/p11-kit/
%dir %{mingw32_libdir}/pkcs11
%{mingw32_libdir}/pkcs11/p11-kit-trust.dll
%{mingw32_libdir}/pkcs11/p11-kit-trust.dll.a
%{mingw32_libdir}/pkgconfig/p11-kit-1.pc
%{mingw32_includedir}/p11-kit-1/
%{mingw32_datadir}/p11-kit
%{mingw32_sysconfdir}/pkcs11

%files -n mingw64-p11-kit -f mingw64-p11-kit.lang
%license COPYING
%{mingw64_bindir}/libp11-kit-0.dll
%{mingw64_bindir}/p11-kit.exe
%{mingw64_bindir}/trust.exe
%{mingw64_libdir}/libp11-kit.dll.a
%{mingw64_libexecdir}/p11-kit/
%dir %{mingw64_libdir}/pkcs11
%{mingw64_libdir}/pkcs11/p11-kit-trust.dll
%{mingw64_libdir}/pkcs11/p11-kit-trust.dll.a
%{mingw64_libdir}/pkgconfig/p11-kit-1.pc
%{mingw64_includedir}/p11-kit-1/
%{mingw64_datadir}/p11-kit
%{mingw64_sysconfdir}/pkcs11




%changelog
* Wed Jul 02 2025 aurr <aurr> 0.25.5-1.mga10
+ Revision: 2238719
- new version: 0.25.5
- add upstream patch for gcc15 and mingw
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Tue Nov 22 2022 daviddavid <daviddavid> 0.23.20-4.mga9
+ Revision: 1909964
- rebuild for new mingw-libffi 3.4.4

* Tue Mar 29 2022 umeabot <umeabot> 0.23.20-3.mga9
+ Revision: 1831911
- Mageia 9 Mass Rebuild

* Sat Sep 26 2020 tv <tv> 0.23.20-2.mga8
+ Revision: 1630280
- rebuild for new mingw stack

* Wed Mar 18 2020 daviddavid <daviddavid> 0.23.20-1.mga8
+ Revision: 1557748
- new version: 0.23.20
- new version: 0.23.19
- new version: 0.23.18.1
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Jul 06 2019 daviddavid <daviddavid> 0.23.16.1-1.mga8
+ Revision: 1419054
- add upstream patch to Skip root UID check on Windows
- new version: 0.23.16.1

* Sun Apr 21 2019 daviddavid <daviddavid> 0.23.15-1.mga8
+ Revision: 1394188
- new version: 0.23.15

* Sat Nov 10 2018 daviddavid <daviddavid> 0.23.14-1.mga7
+ Revision: 1329352
- new version: 0.23.14

* Thu Sep 20 2018 umeabot <umeabot> 0.23.13-2.mga7
+ Revision: 1279930
- Mageia 7 Mass Rebuild

* Fri Aug 17 2018 daviddavid <daviddavid> 0.23.13-1.mga7
+ Revision: 1252089
- new version: 0.23.13

* Mon Aug 06 2018 daviddavid <daviddavid> 0.23.12-1.mga7
+ Revision: 1248350
- new version: 0.23.12

* Wed May 11 2016 tv <tv> 0.23.2-2.mga6
+ Revision: 1012808
+ rebuild (emptylog)

* Wed May 11 2016 tv <tv> 0.23.2-1.mga6
+ Revision: 1012795
- new release

* Sat Feb 06 2016 umeabot <umeabot> 0.20.1-4.mga6
+ Revision: 940712
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20.1-3.mga5
+ Revision: 741391
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.1-2.mga5
+ Revision: 682504
- Mageia 5 Mass Rebuild

* Sun Oct 27 2013 neoclust <neoclust> 0.20.1-1.mga4
+ Revision: 547311
- imported package mingw-p11-kit


* Sun Sep 22 2013 Michael Cronenworth <mike@cchtml.com> - 0.20.1-1
- New upstream release.

* Mon Jul 29 2013 Michael Cronenworth <mike@cchtml.com> - 0.19.3-1
- New upstream release.

* Mon Jul 08 2013 Michael Cronenworth <mike@cchtml.com> - 0.18.4-1
- New upstream release.

* Sun Jun 16 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.18.2-2
- Rebuild to resolve InterlockedCompareExchange regression in mingw32 libraries

* Wed May 29 2013 Michael Cronenworth <mike@cchtml.com> - 0.18.2-1
- New upstream release.

* Thu May 09 2013 Michael Cronenworth <mike@cchtml.com> - 0.18.1-1
- New upstream release.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec 14 2012 Michael Cronenworth <mike@cchtml.com> - 0.14-1
- New upstream release.

* Sun Aug 05 2012 Michael Cronenworth <mike@cchtml.com> - 0.13-1
- New upstream release.

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Mar 29 2012 Michael Cronenworth <mike@cchtml.com> - 0.12-1
- New upstream release.

* Sat Mar 10 2012 Michael Cronenworth <mike@cchtml.com> - 0.10-4
- Update spec to build 64-bit package.

* Fri Mar 09 2012 Kalev Lember <kalevlember@gmail.com> - 0.10-3
- Remove .la files

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.10-2
- Rebuild against the mingw-w64 toolchain

* Sun Jan 08 2012 Michael Cronenworth <mike@cchtml.com> - 0.10-1
- New upstream release (includes w64 patch)

* Wed Nov 16 2011 Michael Cronenworth <mike@cchtml.com> - 0.9-4
- Include w64 patch.
- Match release number of cross repo.

* Wed Nov 16 2011 Michael Cronenworth <mike@cchtml.com> - 0.9-1
- Initial RPM release.

